Bug 1563823 - Expression editor does not allow to select appropriate operand (in some cases)
Summary: Expression editor does not allow to select appropriate operand (in some cases)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Harpreet Kataria
QA Contact: John Dupuy
URL:
Whiteboard:
Depends On:
Blocks: 1704777
TreeView+ depends on / blocked
 
Reported: 2018-04-04 19:59 UTC by Yuri Rudman
Modified: 2019-12-13 15:01 UTC (History)
8 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1704777 (view as bug list)
Environment:
Last Closed: 2019-12-13 15:01:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
only CONTAINS listed as available operand (69.65 KB, image/png)
2018-04-04 20:00 UTC, Yuri Rudman
no flags Details

Description Yuri Rudman 2018-04-04 19:59:08 UTC
Description of problem:
For some expressions editor removes all available operands and listing only one - "CONTAINS"

Version-Release number of selected component (if applicable):
upstream

How reproducible: 100%


Steps to Reproduce:
1. Copy report Events -> Policy -> Policy Event for last & Days
2. Go to Custom and edit copied report -> Filter 
3. Edit expression: select any filed and after that select back original field "Policy Event.Miq Policy Sets : Date Created:".
 
Actual results:
All available operations (AFTER, IS, BEFORE,...) removed and replaced  by single operation "CONTAINS" 

Expected results:
Show appropriate operands for date filed

Additional info:

Comment 2 Yuri Rudman 2018-04-04 20:00:59 UTC
Created attachment 1417413 [details]
only CONTAINS listed as available operand

Comment 5 CFME Bot 2018-04-30 21:33:02 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/829af294efc6f453b6e32d0a0bcb4269fb1b41bb
commit 829af294efc6f453b6e32d0a0bcb4269fb1b41bb
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Apr 30 14:36:06 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Apr 30 14:36:06 2018 -0400

    Do not force exp_key to be limited to "CONTAINS" for date type fields.

    When selected field type id date type field, allow a drop down to be displayed with After/Before etc. options to be selected to form an expression.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1563823

 app/controllers/application_controller/filter/expression.rb | 3 +-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 7 John Dupuy 2019-01-18 16:16:00 UTC
Failed QA in version 5.10.0.32.20190115185124_c957ada, the issue still remains. Steps taken to recreate:

1. Copy report Events -> Policy -> Policy Event for last & Days
2. Go to Custom and edit copied report -> Filter 
3. Edit expression: select any field and after that select back original field "Policy Event.Miq Policy Sets : Date Created:"

Note that this issue appears both when you edit the filter expression from the "Copy" page and from the "Edit" page.

Comment 10 John Dupuy 2019-04-30 15:46:50 UTC
Verified in 5.11.0.1.20190424210327_58b5dbd

Steps of verification:
1. Copy report Events -> Policy -> Policy Event for last & Days
2. Go to Custom and edit copied report -> Filter 
3. Edit expression: select any field and after that select back original field "Policy Event.Miq Policy Sets : Date Created:" (also checked "Policy Event.Miq Actions : Date created")
4. Verified that all options are available, not CONTAINS


Note You need to log in before you can comment on or make changes to this bug.